import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { DynaformComponent } from './components/dynaform/dynaform.component';
import { DynafieldDirective } from './directives/dynafield.directive';

import {
	BasicinputComponent, DropdownModifiedInputComponent, CheckbuttonComponent, CheckbuttonGroupComponent
} from './components/fields';

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		ReactiveFormsModule
	],
	declarations: [
		DynaformComponent,
		DynafieldDirective,
		BasicinputComponent,
		DropdownModifiedInputComponent,
		CheckbuttonComponent,
		CheckbuttonGroupComponent
	],
	entryComponents: [
		BasicinputComponent,
		DropdownModifiedInputComponent,
		CheckbuttonComponent,
		CheckbuttonGroupComponent
	],
	exports: [
		DynaformComponent
	]
})
export class DynaformModule { }
